#ifndef Variablen_H
#define Variablen_H

#ifndef variable
#define variable extern
#endif

#include <KSGNetwork.h>
#include "../Netzwerk/KeepAlive.h"
#include "..\VorLogin\Login\Login.h"
#include "..\VorLogin\VorLogin.h"
#include "..\NachLogin\NachLogin.h"
#include "..\NachLogin\UpdateGUI\UpdateGUI.h"
#include "Bilder.h"
#include "DLLDateien.h"
#include <Animation.h>
#include "../Netzwerk/ChatMessageProcessor.h"
#include "../Netzwerk/SpielMessageProcessor.h"

variable KSGClient::MainServerClient *mainClient;
variable KSGClient::LoginServerClient *loginClient;
variable KSGClient::RegisterServerClient *registerClient;
variable KSGClient::InformationServerClient *infoClient;
variable KSGClient::ChatServerClient *chatClient;
variable KSGClient::AnmeldungServerClient *anmeldungClient;
variable KSGClient::SpielServerClient *spielClient;
variable KSGClient::ShopServerClient *shopClient;
variable KSGClient::NewsServerClient *newsClient;
variable KSGClient::EditorServerClient *editorClient;
variable KSGClient::MinigameServerClient *minigameClient;
variable ChatMessageProcessor *cmProcessor;
variable SpielMessageProcessor *smProcessor;
variable Text lastError;
variable VorLogin *vorLogin;
variable NachLogin *nachLogin;
variable int aktion;
variable Framework::Animation2D *ladeAnimation;
variable Bildschirm *hauptScreen;
variable Bilder *bilder;
variable UpdateHandler *updateH;
variable DLLDateien *dllDateien;
variable bool _render;
variable KeepAliveTh *keepAliveTh;

void initVariables( Schrift *zSchrift, Bildschirm *zBildschirm );
void releaseVariables();

#endif